light-mode-image
Learn
API ReferenceUsers

Update user information

Analytics Events

USER_USERINFO_UPDATE_STARTUSER_USERINFO_UPDATE_SUCCESSUSER_USERINFO_UPDATE_FAIL
PUT/v1/userinfo

Updates the information of the currently authenticated user.

Analytic events

  • USER_USERINFO_UPDATE_START
  • USER_USERINFO_UPDATE_SUCCESS
  • USER_USERINFO_UPDATE_FAIL

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PUT "https://example.com/v1/userinfo" \  -H "Content-Type: application/json" \  -d '{    "name": "string"  }'
{  "id": "string",  "email": "string",  "pricingPlan": {    "type": "Standard",    "endDate": "2019-08-24T14:15:22Z"  },  "status": "Pending",  "connectionStrategy": "string",  "name": "string"}

How would you rate this page?